Skip to main content
GET
/
customers
/
{customerId}
/
wallets
/
registered-addresses
List registered addresses for a customer
curl --request GET \
  --url https://api.conduit.financial/v2/customers/{customerId}/wallets/registered-addresses \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "customerId": "<string>",
      "address": "<string>",
      "label": "<string>",
      "originatorDetails": {
        "entityType": "BUSINESS",
        "legalName": "<string>",
        "country": "<string>"
      },
      "selfCustodyAttestation": true,
      "attestedAt": "2026-01-15T09:30:00.000Z",
      "screenedAt": "2026-01-15T09:30:00.000Z",
      "createdAt": "2026-01-15T09:30:00.000Z"
    }
  ],
  "meta": {
    "mode": "cursor",
    "nextCursor": "eyJpZCI6ImN1c18yeFBxTjhSIn0",
    "previousCursor": null,
    "total": 42
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

customerId
string
required

Query Parameters

cursor
string

Opaque cursor from a previous response to fetch the next page

limit
number
default:20

Maximum number of results to return (1-100)

Required range: 1 <= x <= 100
direction
enum<string>

Pagination direction relative to the cursor

Available options:
forward,
backward
status
enum<string>[]
Available options:
REGISTERED,
SUSPENDED,
REVOKED
chain
enum<string>[]
Available options:
ETHEREUM,
BASE,
SOLANA,
POLYGON,
ARBITRUM,
OPTIMISM,
AVALANCHE,
TRON,
STELLAR,
BSC,
BITCOIN
sortOrder
enum<string>
Available options:
asc,
desc

Response

data
object[]
required
meta
object
required